Debian Bug report logs - #536038
missing dependency on gcc

version graph

Package: build-essential; Maintainer for build-essential is Matthias Klose <doko@debian.org>; Source for build-essential is src:build-essential.

Reported by: Steve Langasek <vorlon@debian.org>

Date: Tue, 7 Jul 2009 00:51:02 UTC

Severity: important

Found in version build-essential/11.4

Fixed in version build-essential/11.5

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#536038; Package build-essential. (Tue, 07 Jul 2009 00:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 07 Jul 2009 00:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: missing dependency on gcc
Date: Mon, 06 Jul 2009 17:38:15 -0700
Package: build-essential
Version: 11.4
Severity: important

The changelog entry for build-essential 11.4 says that the versioned
dependency on gcc has been increased, but the debdiff says otherwise:

diff -Nru build-essential-11.3/list build-essential-11.4/list
--- build-essential-11.3/list   2006-07-09 23:20:31.000000000 +0000
+++ build-essential-11.4/list   2008-06-24 10:53:18.000000000 +0000
@@ -1,5 +1,5 @@
                    List of Build-Essential packages
-                    as of 2006-01-09, Debian sid
+                    as of 2008-06-24, Debian sid

 This file lists the non-essential packages that are build-essential.
 The list is not closed under the "depends on" relation, so one will
@@ -33,9 +33,9 @@
 libc6-dev-sparc64 [sparc]
   Used only on the sparc architecture.

-gcc (>= 4:4.1.1)
+g++ (>= 4:4.3.1) [!alpha]

-g++ (>= 4:4.1.1)
+g++ (>= 4:4.2.4) [alpha]

   NOTE:
   The libstdc++ -dev library is not needed, as g++ depends on it

g++ depends on gcc, of course, but I don't think build-essential is meant to
rely on this; it ought to have a direct dependency.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages build-essential depends on:
ii  dpkg-dev                      1.14.25    Debian package development tools
ii  g++                           4:4.3.2-3  The GNU C++ compiler
ii  libc6-dev [libc-dev]          2.9-4      GNU C Library: Development Librari
ii  make                          3.81-5     The GNU version of the "make" util

build-essential recommends no packages.

build-essential suggests no packages.

-- no debconf information




Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sun, 14 Mar 2010 22:39:15 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <vorlon@debian.org>:
Bug acknowledged by developer. (Sun, 14 Mar 2010 22:39:15 GMT) Full text and rfc822 format available.

Message #10 received at 536038-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 536038-close@bugs.debian.org
Subject: Bug#536038: fixed in build-essential 11.5
Date: Sun, 14 Mar 2010 22:32:23 +0000
Source: build-essential
Source-Version: 11.5

We believe that the bug you reported is fixed in the latest version of
build-essential, which is due to be installed in the Debian FTP archive:

build-essential_11.5.dsc
  to main/b/build-essential/build-essential_11.5.dsc
build-essential_11.5.tar.gz
  to main/b/build-essential/build-essential_11.5.tar.gz
build-essential_11.5_i386.deb
  to main/b/build-essential/build-essential_11.5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536038@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated build-essential package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Mar 2010 23:03:13 +0100
Source: build-essential
Binary: build-essential
Architecture: source i386
Version: 11.5
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 build-essential - Informational list of build-essential packages
Closes: 536038 545890
Changes: 
 build-essential (11.5) unstable; urgency=low
 .
   * Bump dependencies on gcc and g++ to 4.4.3.
   * Re-add explicit dependency on gcc. Closes: #536038.
   * Update essential packages lists. Closes: #545890.
Checksums-Sha1: 
 606b488a642c35593f0abbfb14fa5bdc41b9491d 799 build-essential_11.5.dsc
 113651c3118c8946ee9b1541434cf5fba0720411 50131 build-essential_11.5.tar.gz
 b2a465288068f5ad23de27df339af5c9e887be89 7190 build-essential_11.5_i386.deb
Checksums-Sha256: 
 91553780504d50ac14830f3493047a07d0d3a1a0651f90c6e09d891e36babf33 799 build-essential_11.5.dsc
 e3dad93a9a54171909742a6f07d30c5dfb41c7c1c00c965cd897ef47cc18c1fb 50131 build-essential_11.5.tar.gz
 4db3dd58465fa5778d3330efa9f41c6b57880495627f0448b1a641acada5bcd5 7190 build-essential_11.5_i386.deb
Files: 
 d886e06ea60b4e836a0bcb29ac5e1251 799 devel optional build-essential_11.5.dsc
 a01f9b944b124932cd720be2c537713d 50131 devel optional build-essential_11.5.tar.gz
 9496b3584a5072f73cb64b6a61a90984 7190 devel optional build-essential_11.5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkudX9YACgkQStlRaw+TLJwqIQCaArkilEokncbHdlYnJxJ1u0us
vEUAn0lgw2obspWIC4IznCX2dLPL4YGS
=enkz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Jun 2010 07:35:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:07:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.